Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc
Interface ServiceBuilderResources

All Superinterfaces:
  AnnotationAccess, ModuleBuilderSource, ObjectLocator, ServiceResources

All Known Implementing Classes:
  ServiceResourcesImpl

    public interface ServiceBuilderResources

extends ServiceResources, ModuleBuilderSource

Extends `ServiceResources` with additional methods needed only by the service builder method, related to accessing a service's configuration. Services may have a single configuration in one of three flavors: unordered, ordered or mapped.

Method Summary
`
`<K,V> java.util.Map<K,V>`
` | `getMappedConfiguration(java.lang.Class<K> keyType, java.lang.Class<V> valueType)`
`
`<T> java.util.List<T>`
` | `getOrderedConfiguration(java.lang.Class<T> valueType)`
`
`<T> java.util.Collection<T>`
` | `getUnorderedConfiguration(java.lang.Class<T> valueType)`

Methods inherited from interface org.apache.tapestry5.ioc.ServiceResources
`getImplementationClass, getLogger, getServiceId, getServiceInterface, getTracker`

Methods inherited from interface org.apache.tapestry5.ioc.ObjectLocator
`autobuild, autobuild, getObject, getService, getService, getService, proxy`

Methods inherited from interface org.apache.tapestry5.ioc.AnnotationAccess
`getClassAnnotationProvider, getMethodAnnotationProvider`

Methods inherited from interface org.apache.tapestry5.ioc.ModuleBuilderSource
`getModuleBuilder`

Method Detail

### getUnorderedConfiguration

    <T> java.util.Collection<T> getUnorderedConfiguration(java.lang.Class<T> valueType)

### getOrderedConfiguration

    <T> java.util.List<T> getOrderedConfiguration(java.lang.Class<T> valueType)

### getMappedConfiguration

    <K,V> java.util.Map<K,V> getMappedConfiguration(java.lang.Class<K> keyType,
                                                    java.lang.Class<V> valueType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.